package com.sqx.modules.face.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.modules.face.entity.FaceAuthRequest;


import java.util.Map;

public interface FaceAuthService extends IService<FaceAuthRequest> {

    String createAuthUrl(String name, String idCard, String userId);

    void handleCallback(Map<String, Object> payload);

    Object getAuthResult(String bizToken);
}
